%define major 0
%define libname %mklibname wbxml 2 %{major}

Summary:	WBXML parser and compiler library
Name:		wbxml2
Version:	0.9.2
Release:	%mkrel 4
License:	GPL
URL:		http://libwbxml.aymerick.com/
Group:		File tools
Source:		http://prdownloads.sourceforge.net/wbxmllib/%{name}-%{version}.tar.bz2
Patch0:		wbxml2-0.9.2-anonymous-support-and-misc-fixes.patch
Patch1:		wbxml2-0.9.2-namespaces.patch
Patch2:		wbxml2-0.9.2-libsyncml-fixes.patch
Requires:	expat >= 2.0.1
BuildRequires:	expat-devel >= 2.0.1
BuildRequires:	popt-devel automake
BuildRequires:	zlib-devel
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
wbxml2 is a library that includes a WBXML parser and a WBXML compiler.
(WBXML is the WAP Binary XML format used by many mobile devices)
Unlike wbxml, it does not depend on libxml2 but on expat, making it faster
and more portable.

This package includes a wbxml2xml utility for converting from WBXML to XML

%package -n %{libname}
Group:		System/Libraries
License:	GPL
Summary:	Library for parsing WAP Binary XML

%description -n %libname
wbxml2 is a library that includes a WBXML parser and a WBXML compiler.
(WBXML is the WAP Binary XML format used by many mobile devices)
Unlike wbxml, it does not depend on libxml2 but on expat, making it faster
and more portable.

This package contains just the library for use by other applications.

%package -n %{libname}-devel
Group:		Development/C
License:	GPL
Summary:	Library for developing applications that parse WAP Binary XML
Provides:	%{name}-devel = %{version}-%{release}
Provides:	%{_lib}%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{libname}-devel
wbxml2 is a library that includes a WBXML parser and a WBXML compiler.
(WBXML is the WAP Binary XML format used by many mobile devices)
Unlike wbxml, it does not depend on libxml2 but on expat, making it faster
and more portable.

This package contains the headers and other development files required to
compile applications that need to parse WBXML.

%package -n %{libname}-static-devel
Group:		Development/C
License:	GPL
Summary:	Static Library for developing applications that parse WAP Binary XML
Provides:	%{name}-static-devel = %{version}-%{release}
Requires:	%{libname}-devel = %{version}-%{release}

%description -n %{libname}-static-devel
wbxml2 is a library that includes a WBXML parser and a WBXML compiler.
(WBXML is the WAP Binary XML format used by many mobile devices)
Unlike wbxml, it does not depend on libxml2 but on expat, making it faster
and more portable.

This package contains the static library that is required to compile 
applications that need to parse WBXML without depending on the shared library.


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
sh ./bootstrap
%configure
perl -pi -e 's/\s+install-data-local//g' Makefile
%make

%install
rm -rf %{buildroot}
rm -rf %{buildroot}/file.list.wbxml
%makeinstall_std

#make install-strip DESTDIR=%{buildroot}
rm -Rf %{buildroot}/%{_datadir}/doc

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif

%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%{_bindir}/*
%defattr(644,root,root,755)
%doc ChangeLog AUTHORS

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.%{major}*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/pkgconfig/libwbxml2.pc
%defattr(644,root,root,755)
%doc README References TODO

%files -n %{libname}-static-devel
%defattr(-,root,root)
%{_libdir}/*.a


%changelog
* Sun Jul 20 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.2-4mdv2009.0
+ Revision: 239109
- add patch from libsyncml team

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Jun 30 2007 Emmanuel Andry <eandry@mandriva.org> 0.9.2-3mdv2008.0
+ Revision: 46180
- buildrequires automake
- add patches 0 and 1 from synce project

* Wed Jun 13 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.2-2mdv2008.0
+ Revision: 38636
- rebuild for expat
- spec file clean
- Import wbxml2




* Sat Aug 19 2006 Buchan Milne <bgmilne@mandriva.org> 0.9.2-1mdv2007.0
- New release 0.9.2
- drop p0

* Thu Dec 23 2004 Buchan Milne <bgmilne@linux-mandrake.com> 0.9.0-1mdk
- first Mandrake package based on spec in source
- include patch for nokia6600
